import MakupAnnotation from './markup_annotation'
import { onClickOutside, convertColorToRGB } from '../ui_utils'
import { createSvg, createElement } from '../annotation/utils'
import { getActualPoint } from '../annotation/utils'

class TextUnderlineAnnotation extends MakupAnnotation {
  constructor ({
    annotation,
    layer,
    enableReply = true,
  }) {
    super({
      annotation,
      layer,
    })
    this.type = 'underline'
    this.layer.pageViewer.canvas && (this.ctx = this.layer.pageViewer.canvas.getContext('2d', { willReadFrequently: true }))

    this.render()
  }

  drawCanvas(positionArray) {
    const annotation = this.annotation
    const { R, G, B } = convertColorToRGB(annotation.color)
    this.ctx.fillStyle = `rgba(${R}, ${G}, ${B}, ${annotation.opacity || 1})`
    for (let i = 0; i < positionArray.length; i++) {
      const position = positionArray[i]
      this.ctx.fillRect(position.left * this.ratio, (position.top + position.height) * this.ratio, position.width * this.ratio, this.lineWidth)
    }
  }
}

export default TextUnderlineAnnotation
