import { getDocumentViewer, setDocumentViewer, getDocumentViewers, deleteDocumentViewer } from './documentViewers'
import loadDocument from './loadDocument'
import initializeViewer from './initializeViewer'
import toggleSidebar from './toggleSidebar'
import getPagesCount from './getPagesCount'
import nextPage from './nextPage'
import previousPage from './previousPage'
import getCurrentPage from './getCurrentPage'
import rotateClockwise from './rotateClockwise'
import rotateCounterclockwise from './rotateCounterclockwise'
import zoomIn from './zoomIn'
import zoomOut from './zoomOut'
import pageNumberChanged from './pageNumberChanged'
import scaleChanged from './scaleChanged'
import getScale from './getScale'
import switchAnnotationEditorMode from './switchAnnotationEditorMode'
import switchTool from './switchTool'
import requestFullScreenMode from './requestFullScreenMode'
import saveAnnotations from './saveAnnotations'
import removeAllAnnotations from './removeAllAnnotations'
import getOptionUrl from './getOptionUrl'
import importAnnotations from './importAnnotations'
import switchSpreadMode from './switchSpreadMode'
import webViewerNamedAction from './webViewerNamedAction'
import switchScrollMode from './switchScrollMode'
import initConfig from './initConfig'
import download from './download'
import addEvent from './addEvent'
import removeEvent from './removeEvent'
import setTool from './setTool'
import exportXfdf from './exportXfdf'
import webViewerPageMode from './webViewerPageMode'
import setToolMode from './setToolMode'
import setPropertyPanel from './setPropertyPanel'
import setInitProperty from './setInitProperty'
import setDefaultSelect from './setDefaultSelect'
import handleField from './handleField'
import handleSign from './handleSign'
import handleStamp from './handleStamp'
import flattenPdfDownload from './flattenPdfDownload'
import compare from './compare'
import setPassword from './setPassword'
import removePassword from './removePassword'
import checkPassword from './checkPassword'
import handleCreateStatus from './handleCreateStatus'
import triggerPrinting from './triggerPrinting'
import setContentEditorProperty from './setContentEditorProperty'
import getOutlines from './getOutlines'
import search from './search'
import setActiveSearchResult from './setActiveSearchResult'
import clearSearchResults from './clearSearchResults'
import init from './init'
import getSelectedText from './getSelectedText'
import getDocEditorPages from './getDocEditorPages'
import saveDocumentEdit from './saveDocumentEdit'
import getScrollViewElement from './getScrollViewElement'
import getSelectedPage from './getSelectedPage'
import pageToWindow from './pageToWindow'
import windowToPage from './windowToPage'
import addEditorImage from './addEditorImage'
import flattenPdf from './flattenPdf'
import getSignature from './getSignature'
import deleteSignature from './deleteSignature'
import loadCertificates from './loadCertificates'
import addToTrustedCertificateLists from './addToTrustedCertificateLists'
import verifySignature from './verifySignature'
import handleReplyAnnotation from './handleReplyAnnotation'
import setHighlightLink from './setHighlightLink'
import setHighlightForm from './setHighlightForm'
import setAnnotator from './setAnnotator'
import selectAnnotation from './selectAnnotation'
import jumpToAnnotation from './jumpToAnnotation'
import getCropedPageImage from './getCropedPageImage'
import resetOperate from './resetOperate'
import eventBus from './eventBus'
import handlePopup from './handlePopup'
import addAnnotationImage from './addAnnotationImage'
import applyRedactions from './applyRedactions'
import setAutoJumpNextSign from './setAutoJumpNextSign'
import enableFillConsecutively from './enableFillConsecutively'
import disableFillConsecutively from './disableFillConsecutively'
import setLayers from './setLayers'
import exportLayers from './exportLayers'
import updateViewWithColorIndex from './updateViewWithColorIndex'
import setMeasurementDefaults from './setMeasurementDefaults'

export default {
  getDocumentViewer,
  setDocumentViewer,
  getDocumentViewers,
  deleteDocumentViewer,
  loadDocument,
  initializeViewer,
  toggleSidebar,
  getPagesCount,
  nextPage,
  previousPage,
  getCurrentPage,
  rotateClockwise,
  rotateCounterclockwise,
  zoomIn,
  zoomOut,
  pageNumberChanged,
  scaleChanged,
  getScale,
  switchAnnotationEditorMode,
  switchTool,
  requestFullScreenMode,
  saveAnnotations,
  removeAllAnnotations,
  getOptionUrl,
  importAnnotations,
  switchSpreadMode,
  webViewerNamedAction,
  switchScrollMode,
  initConfig,
  download,
  addEvent,
  removeEvent,
  setTool,
  exportXfdf,
  webViewerPageMode,
  setToolMode,
  setPropertyPanel,
  setInitProperty,
  setDefaultSelect,
  handleField,
  handleSign,
  handleStamp,
  flattenPdfDownload,
  compare,
  setPassword,
  removePassword,
  checkPassword,
  handleCreateStatus,
  triggerPrinting,
  setContentEditorProperty,
  getOutlines,
  search,
  setActiveSearchResult,
  clearSearchResults,
  init,
  getSelectedText,
  getDocEditorPages,
  saveDocumentEdit,
  getScrollViewElement,
  getSelectedPage,
  pageToWindow,
  windowToPage,
  addEditorImage,
  flattenPdf,
  getSignature,
  deleteSignature,
  loadCertificates,
  addToTrustedCertificateLists,
  verifySignature,
  handleReplyAnnotation,
  setHighlightLink,
  setHighlightForm,
  setAnnotator,
  selectAnnotation,
  jumpToAnnotation,
  getCropedPageImage,
  resetOperate,
  eventBus,
  handlePopup,
  addAnnotationImage,
  applyRedactions,
  setAutoJumpNextSign,
  enableFillConsecutively,
  disableFillConsecutively,
  setLayers,
  exportLayers,
  updateViewWithColorIndex,
  setMeasurementDefaults
}
